Skip to Content
0

How to Integrate SAP 4.6 and Ariba systems using SAP PI

Jul 04, 2017 at 11:03 AM

40

avatar image

Hi Experts,

We have an integration with SAP 4.6 and Ariba systems using PI 10S2 adapter.

But now SAP is descoping the 10S2 adapter,and to over come that they are asking to upgrade the sap 4.6 to ECC 6.0 or higher and use CI-7/8/9 adapters in PI for communication.

Version Upgrade cannot be done since it will highly impact the business of the customer.

So can we integrate SAP 4.6 and Ariba using the adapters CI-7/8/9 deployed from connect.ariba.com in to PI .

Kindly help us with any related documents and pros and cons of using CI-7/8/9 .

Regards

Prakash

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

2 Answers

Patrick Weber Jul 04, 2017 at 01:26 PM
0

It's been a while since I looked at this but If I remember right, the pre-built PI integration content for Ariba uses proxies for the communication with ECC, which can only be used as of Web AS 6.2 (that came with ERP 4.7 IIRC).

Regards,

Patrick

Share
10 |10000 characters needed characters left characters exceeded
Manoj K Jul 04, 2017 at 11:29 AM
0

Prakash,

Firstly you cant import CI 7/8/9 transports into 4.6 system you will get a lots of dump as many of the Data Dictionary defined in CI 7/8/9 wont be supported in 4.6 . Try to get CI3 content for 4.6 but note in connect ariba we were able to find only CI3 Trnaports for ABAP there are no CI3 Transports available for PI as these are old Ariba has removed this from repository.

If you wont find CI3 content for PI , then import CI 7 / 8 / 9 TPZ file into PI and customize as per your requirement.

Br,

Manoj

Share
10 |10000 characters needed characters left characters exceeded